#!/usr/bin/env python3
"""
WHOIS Lookup Tool
Parameters:
    - IP: Target IP address
Requires: python-whois package
"""
import whois
import argparse
import sys

def whois_lookup(ip):
    try:
        w = whois.whois(ip)
        print("Domain Information:")
        print(f"Domain Name: {w.domain_name}")
        print(f"Registrar: {w.registrar}")
        print(f"Creation Date: {w.creation_date}")
        print(f"Expiration Date: {w.expiration_date}")
        print(f"Name Servers: {w.name_servers}")
    except Exception as e:
        print(f"Error performing WHOIS lookup: {str(e)}")
        sys.exit(1)

if __name__ == "__main__":
    parser = argparse.ArgumentParser(description="WHOIS Lookup Tool")
    parser.add_argument("ip", help="Target IP or domain")
    args = parser.parse_args()
    
    whois_lookup(args.ip)
